diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-interference.cc ns-3.42/src/lte/test/lte-test-interference.cc
--- ns-3.41/src/lte/test/lte-test-interference.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-interference.cc	2024-05-29 15:29:47.124073500 -0700
@@ -65,15 +65,15 @@
  */
 
 LteInterferenceTestSuite::LteInterferenceTestSuite()
-    : TestSuite("lte-interference", SYSTEM)
+    : TestSuite("lte-interference", Type::SYSTEM)
 {
     // these two first test cases have a spectral efficiency that corresponds to CQI=0 (out of
     // range)
     // TODO: update the test conditions to handle out-of-range correctly
     // AddTestCase (new LteInterferenceTestCase ("d1=50, d2=10",  50.000000, 10.000000,  0.040000,
-    // 0.040000,  0.010399, 0.010399, 0, 0), TestCase::QUICK); AddTestCase (new
+    // 0.040000,  0.010399, 0.010399, 0, 0), TestCase::Duration::QUICK); AddTestCase (new
     // LteInterferenceTestCase ("d1=50, d2=20",  50.000000, 20.000000,  0.160000, 0.159998,
-    // 0.041154, 0.041153, 0, 0), TestCase::QUICK);
+    // 0.041154, 0.041153, 0, 0), TestCase::Duration::QUICK);
 
     AddTestCase(new LteInterferenceTestCase("d1=3000, d2=6000",
                                             3000.000000,
@@ -84,7 +84,7 @@
                                             0.389662,
                                             6,
                                             4),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=50, d2=50",
                                             50.000000,
                                             50.000000,
@@ -94,7 +94,7 @@
                                             0.239808,
                                             2,
                                             2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=50, d2=100",
                                             50.000000,
                                             100.000000,
@@ -104,7 +104,7 @@
                                             0.785042,
                                             6,
                                             6),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=50, d2=200",
                                             50.000000,
                                             200.000000,
@@ -114,7 +114,7 @@
                                             1.959533,
                                             14,
                                             14),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=50, d2=500",
                                             50.000000,
                                             500.000000,
@@ -124,7 +124,7 @@
                                             4.241793,
                                             22,
                                             22),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=50, d2=1000",
                                             50.000000,
                                             1000.000000,
@@ -134,7 +134,7 @@
                                             6.144825,
                                             28,
                                             28),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=50, d2=10000",
                                             50.000000,
                                             10000.000000,
@@ -144,7 +144,7 @@
                                             10.588084,
                                             28,
                                             28),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=50, d2=100000",
                                             50.000000,
                                             100000.000000,
@@ -154,7 +154,7 @@
                                             10.928917,
                                             28,
                                             28),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=50, d2=1000000",
                                             50.000000,
                                             1000000.000000,
@@ -164,7 +164,7 @@
                                             10.932767,
                                             28,
                                             28),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=4500, d2=12600",
                                             4500.000000,
                                             12600.000000,
@@ -174,7 +174,7 @@
                                             0.270399,
                                             8,
                                             2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceTestCase("d1=5400, d2=12600",
                                             5400.000000,
                                             12600.000000,
@@ -184,7 +184,7 @@
                                             0.193019,
                                             6,
                                             0),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-interference-fr.cc ns-3.42/src/lte/test/lte-test-interference-fr.cc
--- ns-3.41/src/lte/test/lte-test-interference-fr.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-interference-fr.cc	2024-05-29 15:29:47.124073500 -0700
@@ -51,7 +51,7 @@
  */
 
 LteInterferenceFrTestSuite::LteInterferenceFrTestSuite()
-    : TestSuite("lte-interference-fr", SYSTEM)
+    : TestSuite("lte-interference-fr", Type::SYSTEM)
 {
     //  LogLevel logLevel = (LogLevel)(LOG_PREFIX_FUNC | LOG_PREFIX_TIME | LOG_LEVEL_DEBUG);
     //  LogComponentEnable ("LteInterferenceFrTest", logLevel);
@@ -61,25 +61,25 @@
                                                   20.000000,
                                                   356449.932732,
                                                   10803.280215),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceHardFrTestCase("d1=50, d2=50",
                                                   50.000000,
                                                   50.000000,
                                                   356449.932732,
                                                   10803.280215),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceHardFrTestCase("d1=50, d2=200",
                                                   50.000000,
                                                   200.000000,
                                                   356449.932732,
                                                   10803.280215),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceHardFrTestCase("d1=50, d2=500",
                                                   50.000000,
                                                   500.000000,
                                                   356449.932732,
                                                   10803.280215),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     AddTestCase(new LteInterferenceStrictFrTestCase("d1=50, d2=20",
                                                     50.000000,
@@ -89,7 +89,7 @@
                                                     356449.932732,
                                                     10803.280215,
                                                     18),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceStrictFrTestCase("d1=50, d2=50",
                                                     50.000000,
                                                     50.000000,
@@ -98,7 +98,7 @@
                                                     356449.932732,
                                                     10803.280215,
                                                     28),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceStrictFrTestCase("d1=50, d2=200",
                                                     50.000000,
                                                     200.000000,
@@ -107,7 +107,7 @@
                                                     356449.932732,
                                                     10803.280215,
                                                     30),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteInterferenceStrictFrTestCase("d1=50, d2=500",
                                                     50.000000,
                                                     500.000000,
@@ -116,7 +116,7 @@
                                                     356449.932732,
                                                     10803.280215,
                                                     30),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-ipv6-routing.cc ns-3.42/src/lte/test/lte-test-ipv6-routing.cc
--- ns-3.41/src/lte/test/lte-test-ipv6-routing.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-ipv6-routing.cc	2024-05-29 15:29:47.124073500 -0700
@@ -387,9 +387,9 @@
 };
 
 LteIpv6RoutingTestSuite::LteIpv6RoutingTestSuite()
-    : TestSuite("lte-ipv6-routing-test", UNIT)
+    : TestSuite("lte-ipv6-routing-test", Type::UNIT)
 {
-    AddTestCase(new LteIpv6RoutingTestCase, TestCase::QUICK);
+    AddTestCase(new LteIpv6RoutingTestCase, TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-link-adaptation.cc ns-3.42/src/lte/test/lte-test-link-adaptation.cc
--- ns-3.41/src/lte/test/lte-test-link-adaptation.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-link-adaptation.cc	2024-05-29 15:29:47.124073500 -0700
@@ -52,7 +52,7 @@
  */
 
 LteLinkAdaptationTestSuite::LteLinkAdaptationTestSuite()
-    : TestSuite("lte-link-adaptation", SYSTEM)
+    : TestSuite("lte-link-adaptation", Type::SYSTEM)
 {
     NS_LOG_INFO("Creating LteLinkAdaptionTestSuite");
 
@@ -101,7 +101,7 @@
                                                   snrEfficiencyMcs[i].snrDb,
                                                   lossDb,
                                                   snrEfficiencyMcs[i].mcsIndex),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-mimo.cc ns-3.42/src/lte/test/lte-test-mimo.cc
--- ns-3.41/src/lte/test/lte-test-mimo.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-mimo.cc	2024-05-29 15:29:47.124073500 -0700
@@ -58,7 +58,7 @@
 NS_LOG_COMPONENT_DEFINE("LteTestMimo");
 
 LenaTestMimoSuite::LenaTestMimoSuite()
-    : TestSuite("lte-mimo", SYSTEM)
+    : TestSuite("lte-mimo", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaMimoTestCase");
 
@@ -72,13 +72,13 @@
     estThrDl.push_back(183600); // interval 2 : estimated throughput for TxMode 2
     estThrDl.push_back(193400); // interval 3 : estimated throughput for TxMode 3
     AddTestCase(new LenaMimoTestCase(300, estThrDl, "ns3::RrFfMacScheduler", true),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LenaMimoTestCase(300, estThrDl, "ns3::PfFfMacScheduler", true),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LenaMimoTestCase(300, estThrDl, "ns3::RrFfMacScheduler", false),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LenaMimoTestCase(300, estThrDl, "ns3::PfFfMacScheduler", false),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-pathloss-model.cc ns-3.42/src/lte/test/lte-test-pathloss-model.cc
--- ns-3.41/src/lte/test/lte-test-pathloss-model.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-pathloss-model.cc	2024-05-29 15:29:47.124073500 -0700
@@ -66,7 +66,7 @@
 }
 
 LtePathlossModelTestSuite::LtePathlossModelTestSuite()
-    : TestSuite("lte-pathloss-model", SYSTEM)
+    : TestSuite("lte-pathloss-model", Type::SYSTEM)
 {
     // LogLevel logLevel = (LogLevel)(LOG_PREFIX_FUNC | LOG_PREFIX_TIME | LOG_LEVEL_ALL);
     // LogComponentEnable ("LteHelper", logLevel);
@@ -137,7 +137,7 @@
         name << " snr= " << sinrDb << " dB, "
              << " mcs= " << snrEfficiencyMcs[i].mcsIndex;
         AddTestCase(new LtePathlossModelSystemTestCase(name.str(), sinrDb, dist[i], mcs),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-pf-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-pf-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -55,7 +55,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestPfFfMacScheduler");
 
 LenaTestPfFfMacSchedulerSuite::LenaTestPfFfMacSchedulerSuite()
-    : TestSuite("lte-pf-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-pf-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestPfFfMacSchedulerSuite");
 
@@ -77,15 +77,15 @@
     // 12 users -> 3 PRB at Itbs 26 -> 277 bytes * 8/12 UE/TTI -> 184670 bytes/sec
     // 15 users -> 3 PRB at Itbs 26 -> 277 bytes * 8/15 UE/TTI -> 147730 bytes/sec
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(1, 0, 2196000, 2292000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(3, 0, 732000, 749000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(6, 0, 366000, 373000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(12, 0, 183000, 184670, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(15, 0, 146400, 147730, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 4800 -> MCS 22 -> Itbs 20 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 15 -> 1383 -> 1383000 bytes/sec
@@ -101,15 +101,15 @@
     // 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000 bytes/sec
     // 15 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/15 UE/TTI  -> 49600 bytes/sec
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(1, 4800, 1383000, 807000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(3, 4800, 461000, 253000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(6, 4800, 230500, 125000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(12, 4800, 115250, 62000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(15, 4800, 92200, 49600, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 6000 -> MCS 20 -> Itbs 18 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 20 -> 1191 -> 1191000 bytes/sec
@@ -125,15 +125,15 @@
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 bytes/sec
     // 15 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/15 UE/TTI -> 38993 bytes/sec
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(1, 6000, 1191000, 621000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(3, 6000, 397000, 201000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(6, 6000, 198500, 97000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(12, 6000, 99250, 48667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(15, 6000, 79400, 38993, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 10000 -> MCS 14 -> Itbs 13 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 13 -> 871 -> 775000 bytes/sec
@@ -149,15 +149,15 @@
     // 12 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/12 UE/TTI -> 32667 bytes/sec
     // 15 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/15 UE/TTI -> 26133 bytes/sec
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(1, 10000, 775000, 437000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(3, 10000, 258333, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(6, 10000, 129167, 67000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(12, 10000, 64583, 32667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(15, 10000, 51667, 26133, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DONWLINK - DISTANCE 20000 -> MCS 8 -> Itbs 8 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 8 -> 421 -> 421000 bytes/sec
@@ -173,19 +173,20 @@
     // 12 users -> 3 PRB at Itbs 2 -> 26 bytes * 8/12 UE/TTI -> 12000 bytes/sec
     // 15 users -> 3 PRB at Itbs 2 -> 26 bytes * 8/15 UE/TTI -> 9600 bytes/sec
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(1, 20000, 421000, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(3, 20000, 140333, 41000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(6, 20000, 70167, 22000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(12, 20000, 35083, 12000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaPfFfMacSchedulerTestCase1(15, 20000, 28067, 9600, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
-    AddTestCase(new LenaPfFfMacSchedulerTestCase1(1, 100000, 0, 0, errorModel), TestCase::QUICK);
+    AddTestCase(new LenaPfFfMacSchedulerTestCase1(1, 100000, 0, 0, errorModel),
+                TestCase::Duration::QUICK);
 
     // Test Case 2: fairness check
 
@@ -208,7 +209,7 @@
     estThrPfUl.push_back(85000);  // User 3 estimated TTI throughput from PF
     estThrPfUl.push_back(26000);  // User 4 estimated TTI throughput from PF
     AddTestCase(new LenaPfFfMacSchedulerTestCase2(dist, estThrPfDl, estThrPfUl, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-phy-error-model.cc ns-3.42/src/lte/test/lte-test-phy-error-model.cc
--- ns-3.41/src/lte/test/lte-test-phy-error-model.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-phy-error-model.cc	2024-05-29 15:29:47.124073500 -0700
@@ -57,7 +57,7 @@
 NS_LOG_COMPONENT_DEFINE("LteTestPhyErrorModel");
 
 LenaTestPhyErrorModelSuite::LenaTestPhyErrorModelSuite()
-    : TestSuite("lte-phy-error-model", SYSTEM)
+    : TestSuite("lte-phy-error-model", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestPhyErrorModelTestCase");
 
@@ -73,16 +73,19 @@
 
         // 1 interfering eNB SINR -2.0 BLER 0.007 TB size 217
         AddTestCase(new LenaDlCtrlPhyErrorModelTestCase(2, 1078, 0.007, 9, Seconds(0.04), rngRun),
-                    (rngRun == 1) ? TestCase::QUICK : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::QUICK : TestCase::Duration::TAKES_FOREVER);
         // 2 interfering eNBs SINR -4.0 BLER 0.037 TB size 217
         AddTestCase(new LenaDlCtrlPhyErrorModelTestCase(3, 1040, 0.045, 21, Seconds(0.04), rngRun),
-                    (rngRun == 1) ? TestCase::EXTENSIVE : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::EXTENSIVE
+                                  : TestCase::Duration::TAKES_FOREVER);
         // 3 interfering eNBs SINR -6.0 BLER 0.21 TB size 133
         AddTestCase(new LenaDlCtrlPhyErrorModelTestCase(4, 1250, 0.206, 40, Seconds(0.12), rngRun),
-                    (rngRun == 1) ? TestCase::EXTENSIVE : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::EXTENSIVE
+                                  : TestCase::Duration::TAKES_FOREVER);
         // 4 interfering eNBs SINR -7.0 BLER 0.34 TB size 133
         AddTestCase(new LenaDlCtrlPhyErrorModelTestCase(5, 1260, 0.343, 47, Seconds(0.12), rngRun),
-                    (rngRun == 1) ? TestCase::EXTENSIVE : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::EXTENSIVE
+                                  : TestCase::Duration::TAKES_FOREVER);
 
         // Tests on DL Data channels (PDSCH)
         // the tolerance is calculated with the following octave code:
@@ -94,23 +97,28 @@
 
         // MCS 2 TB size of 256 bits BLER 0.33 SINR -5.51
         AddTestCase(new LenaDataPhyErrorModelTestCase(4, 1800, 0.33, 39, Seconds(0.04), rngRun),
-                    (rngRun == 1) ? TestCase::QUICK : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::QUICK : TestCase::Duration::TAKES_FOREVER);
         // MCS 2 TB size of 528 bits BLER 0.11 SINR -5.51
         AddTestCase(new LenaDataPhyErrorModelTestCase(2, 1800, 0.11, 26, Seconds(0.04), rngRun),
-                    (rngRun == 1) ? TestCase::EXTENSIVE : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::EXTENSIVE
+                                  : TestCase::Duration::TAKES_FOREVER);
         // MCS 2 TB size of 1088 bits BLER 0.02 SINR -5.51
         AddTestCase(new LenaDataPhyErrorModelTestCase(1, 1800, 0.02, 33, Seconds(0.04), rngRun),
-                    (rngRun == 1) ? TestCase::EXTENSIVE : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::EXTENSIVE
+                                  : TestCase::Duration::TAKES_FOREVER);
         // MCS 12 TB size of 4800 bits  BLER 0.3  SINR 4.43
         AddTestCase(new LenaDataPhyErrorModelTestCase(1, 600, 0.3, 38, Seconds(0.04), rngRun),
-                    (rngRun == 1) ? TestCase::EXTENSIVE : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::EXTENSIVE
+                                  : TestCase::Duration::TAKES_FOREVER);
         // MCS 12 TB size of 1632 bits  BLER 0.55  SINR 4.43
         AddTestCase(new LenaDataPhyErrorModelTestCase(3, 600, 0.55, 40, Seconds(0.04), rngRun),
-                    (rngRun == 1) ? TestCase::EXTENSIVE : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::EXTENSIVE
+                                  : TestCase::Duration::TAKES_FOREVER);
         // MCS 16 TB size of 7272 bits (3648 x 3584) BLER 0.14 SINR 8.48
         // BLER 0.14 = 1 - ((1-0.075)*(1-0.075))
         AddTestCase(new LenaDataPhyErrorModelTestCase(1, 470, 0.14, 29, Seconds(0.04), rngRun),
-                    (rngRun == 1) ? TestCase::EXTENSIVE : TestCase::TAKES_FOREVER);
+                    (rngRun == 1) ? TestCase::Duration::EXTENSIVE
+                                  : TestCase::Duration::TAKES_FOREVER);
     }
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-primary-cell-change.cc ns-3.42/src/lte/test/lte-test-primary-cell-change.cc
--- ns-3.41/src/lte/test/lte-test-primary-cell-change.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-primary-cell-change.cc	2024-05-29 15:29:47.124073500 -0700
@@ -49,51 +49,51 @@
  */
 
 LtePrimaryCellChangeTestSuite::LtePrimaryCellChangeTestSuite()
-    : TestSuite("lte-primary-cell-change", SYSTEM)
+    : TestSuite("lte-primary-cell-change", Type::SYSTEM)
 {
     // Test that handover from eNB to eNB with one carrier works within this framework.
     AddTestCase(new LtePrimaryCellChangeTestCase("ideal RRC, RngRun=1", true, 1, 1, 0, 1),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("real RRC, RngRun=1", false, 1, 1, 0, 1),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test that handover between first carriers of eNBs works.
     AddTestCase(new LtePrimaryCellChangeTestCase("ideal RRC, RngRun=1", true, 1, 2, 0, 2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("real RRC, RngRun=1", false, 1, 2, 0, 2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test that handover from second carrier of first eNB to first carrier of second eNB works.
     AddTestCase(new LtePrimaryCellChangeTestCase("ideal RRC, RngRun=1", true, 1, 2, 1, 2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("real RRC, RngRun=1", false, 1, 2, 1, 2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test that handover from first carrier of first eNB to first carrier of second eNB works.
     AddTestCase(new LtePrimaryCellChangeTestCase("ideal RRC, RngRun=1", true, 1, 2, 0, 3),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("real RRC, RngRun=1", false, 1, 2, 0, 3),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test that handover from second carrier of first eNB to second carrier of second eNB works.
     AddTestCase(new LtePrimaryCellChangeTestCase("ideal RRC, RngRun=1", true, 1, 2, 1, 3),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("real RRC, RngRun=1", false, 1, 2, 1, 3),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test intra-eNB inter-frequency handover.
     AddTestCase(new LtePrimaryCellChangeTestCase("ideal RRC, RngRun=1", true, 1, 2, 0, 1),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("real RRC, RngRun=1", false, 1, 2, 0, 1),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("ideal RRC, RngRun=1", true, 1, 2, 1, 0),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("real RRC, RngRun=1", false, 1, 2, 1, 0),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("ideal RRC, RngRun=1", true, 1, 4, 3, 1),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LtePrimaryCellChangeTestCase("real RRC, RngRun=1", false, 1, 4, 3, 1),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 } // end of LtePrimaryCellChangeTestSuite::LtePrimaryCellChangeTestSuite ()
 
 /**
